#端口号
server:
  port: 8889
eureka:
  instance:
#    hostname: 172.16.0.6 #地址
    hostname: 172.0.0.1 #地址
    prefer-ip-address: true
    status-page-url: http://${eureka.instance.hostname}:${server.port}/swagger-ui.html
  client:
    service-url:
      # 向注册中心注册服务
      defaultZone: http://admin:admin@${eureka.instance.hostname}:8889/eureka
    register-with-eureka: false #是否允许客户端向Eureka获取注册表信息，单机模式服务器端设置为false
    fetch-registry: false #是否允许向Eureka Server注册信息，单机模式服务器端设置为false

spring:
  application:
    name: crk-manage #服务名